Bug 145995 - gpdf's full screen mode fails to scale content to fit
gpdf's full screen mode fails to scale content to fit
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gpdf (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-24 11:39 EST by Alexandre Oliva
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-11 12:54:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexandre Oliva 2005-01-24 11:39:59 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
xpdf -fullscreen doc.pdf will scale the document so as to fill the
screen (or at least take up all of one of the dimentions).  With gpdf,
it appears to be impossible to obtain the same effect: even if you
choose one of the `fit' options and then enter full screen mode, the
fit won't be for full screen, but rather for the original window, and
I don't see how to select the `fit' options while in full screen mode.

Version-Release number of selected component (if applicable):
gpdf-2.8.2-2.2

How reproducible:
Always

Steps to Reproduce:
1.Open a pdf document
2.Choose any of the `fit' options
3.Choose full screen mode

Actual Results:  Entering full screen mode won't cause the document to
be refit into the screen size; it will retain the size selected while
in a smaller window.

Expected Results:  It should refit for full screen.

Additional info:

Having a number of presentations in pdf format, designed to be
displayed in full screen mode with xpdf, if xpdf is to go away, it
would be nice if gpdf could display them just as nicely.
Comment 1 Alexandre Oliva 2005-03-11 12:54:40 EST
evince in the development tree can handle them pretty well.  gpdf is
gone, so...

Note You need to log in before you can comment on or make changes to this bug.